# Getting Started

## Required
- Node >= v14.x
- Yarn

## Quick Start
```bash
npm i -g torder-vue-cli
t-vue <project-name>
cd <project-name>
yarn serve or npm run serve
```

## Creating an Vue App

**You’ll need to have Node >= 14 on your local development machine** (but it’s not required on the server). You can use nvm (macOS/Linux) or nvm-windows to switch Node versions between different projects.

### npm install
```bash
npm i -g torder-vue-cli
```
### create
```bash
t-vue <project-name>
```
### Selecting a package module
You can easily install the necessary modules in your project
```
 (Press <space> to select, <a> to toggle all, <i> to invert selection, and
<enter> to proceed)
❯◯ cypress
 ◯ io-ts
 ◯ jest
 ◯ pinia
 ◯ storybook
 ◯ vue-i18n
 ◯ vue-router
```
### App Start
```bash
cd <project-name>
npm run serve OR yarn serve
```
## Output
```
.
├── README.md
├── aliases.config.js
├── babel.config.js
├── package.json
├── public
│   ├── favicon.ico
│   └── index.html
├── src
│   ├── App.vue
│   ├── apis
│   ├── assets
│   │   └── logo.png
│   ├── common
│   ├── components
│   │   └── HelloWorld.vue
│   ├── composables
│   ├── containers
│   ├── views
│   ├── interface
│   ├── layouts
│   ├── main.ts
│   ├── styles
│   └── utils
│       └── README.md
├── stylelint.config.js
├── tsconfig.json
├── vue.config.js
└── yarn.lock
```