import run from './run.cjs';
import { appRootPath, dirName } from '../utils/path.js';

const runTransCode = async (projectName, options) => {
  const transformPath = `${appRootPath}scripts/jscodeshift/appInject.cjs`;
  const paths = [`${dirName}/${projectName}/src/main.ts`];
  const optionList = {
    pinia: {
      importSource: 'import { createPinia } from \'pinia\';',
      useInsert: 'createPinia()',
    },
    'vue-router': {
      importSource: 'import router from \'@router\';',
      useInsert: 'router',
    },
    'vue-i18n': {
      importSource: 'import i18n from \'@i18n\';',
      useInsert: 'i18n',
    },
  };
  const pushOptions = {
    transPath: `${dirName}/${projectName}/src/main.ts`,
    importSource: [],
    useInsert: [],
  };

  options.forEach((option) => {
    const key = optionList[option];

    if (!key) return;

    pushOptions.importSource.push(key.importSource);
    pushOptions.useInsert.push(key.useInsert);
  });

  await run(transformPath, paths, pushOptions);
};

export default runTransCode;
