import fs from 'fs';
import { projectNameEmptyLog } from './console.js';
import globals from '../global.js';
import { dirName } from './path.js';

const getProjectName = () => {
  const projectName = process.argv[2];
  if (!projectName) {
    projectNameEmptyLog();
    process.exit();
  }
  return projectName;
};

const setGlobals = (projectName, selectedOptions) => {
  globals.projectName = projectName;
  globals.selectedOptions = selectedOptions;
};

const checkDir = (projectName) => {
  const projectPath = `${dirName}/${projectName}`;
  try {
    fs.readdirSync(projectPath);
    return false;
  } catch {
    return true;
  }
};

export { getProjectName, setGlobals, checkDir };
