import inquirer from 'inquirer';
import fs from 'fs';
import path from 'path';
import { appRootPath } from './path.js';

const selectOptions = async (projectName) => {
  const dirPath = path.join(appRootPath, '/libs/');
  const message = `${projectName} 프로젝트에 필요한 기능을 선택해주세요.\n`;
  const choices = fs.readdirSync(dirPath).map((choice) => {
    const newChoice = [...choice];
    newChoice[0] = newChoice[0].toUpperCase();
    return newChoice.join('');
  });
  const questions = {
    type: 'checkbox',
    name: 'type',
    message,
    choices,
    pageSize: 10,
  };
  const { type = [] } = await inquirer.prompt(questions);
  const selected = type.map((t) => t.toLowerCase());
  return selected;
};

export default selectOptions;
